<template>
    <div id="page-top">

        <div id="wrapper">
            <!-- Sidebar -->
            <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">
                <!-- Sidebar - Brand -->
                <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                    <div class="sidebar-brand-icon rotate-n-15">
                        <i class="fas fa-car"></i>
                    </div>
                    <div class="sidebar-brand-text mx-3">
                        <div>Geor</div>
                    </div>
                </a>
                <!-- Divider -->
                <hr class="sidebar-divider my-0">
                    <!-- Nav Item - Dashboard -->
                    <li class="nav-item">
                        <a class="nav-link">
                            <i class="fas fa-home"></i>
                            <span>
                               <router-link style="text-decoration: none; color:#ffffffcc;" :to="{ name: 'home' }"> Home </router-link>
                            </span>
                        </a>
                    </li>
                    <!-- Divider -->
                    <hr class="sidebar-divider">
                        <!-- Heading -->
                        <div class="sidebar-heading">
                            INTERFAZ
                        </div>
                        <!-- Nav Item - Pages Collapse Menu -->
                        <li class="nav-item" v-if="permisoC != ''">
                            <a class="nav-link">
                                <i class="fas fa-users"></i>
                                <span>
                                    <router-link style="text-decoration: none; color:#ffffffcc;" :to="{name: 'clientes'}">Clientes</router-link>
                                </span>
                            </a>
                        </li>

                        <!-- Divider -->
                        <hr class="sidebar-divider">
                            <!-- Heading -->
                            <div class="sidebar-heading">
                                Reportes del sistema
                            </div>
                            <!-- Nav Item - Pages Collapse Menu -->
                            <li class="nav-item" v-if="permisoA != ''">
                                <a aria-controls="reportes" aria-expanded="true" class="nav-link" data-target="#reportes" data-toggle="collapse" href="#">
                                <i class="fas fa-mask"></i>
                                    <span>
                                        Auditoria
                                    </span>
                                </a>
                                <div aria-labelledby="headingPages" class="collapse" data-parent="#accordionSidebar" id="reportes">
                                    <div class="bg-white py-2 collapse-inner rounded">
                                        <h6 class="collapse-header">
                                            Modulo de clientes:
                                        </h6>
                                        <a class="collapse-item">
                                            <router-link style="text-decoration: none;" class="text-dark" :to="{name: 'resgistrosclientes'}">Registros de Clientes</router-link>
                                        </a>
                                    </div>
                                </div>
                            </li>

                        <!-- Divider -->
                        <hr class="sidebar-divider" >
                            <!-- Heading -->
                            <div class="sidebar-heading">
                                Configuraciones
                            </div>
                            <!-- Nav Item - Pages Collapse Menu -->
                            <li class="nav-item" v-if="permisoAdmin != ''">
                                <a aria-controls="Configuraciones" aria-expanded="true" class="nav-link" data-target="#Configuraciones" data-toggle="collapse" href="#">
                                    <i class="fas fa-fw fa-cog">
                                    </i>
                                    <span>
                                        Administación
                                    </span>
                                </a>
                                <div aria-labelledby="headingPages" class="collapse" data-parent="#accordionSidebar" id="Configuraciones">
                                    <div class="bg-white py-2 collapse-inner rounded">
                                        <h6 class="collapse-header">
                                            Sistema de Roles:
                                        </h6>
                                        <a class="collapse-item">
                                            <router-link style="text-decoration: none;" class="text-dark" :to="{path: '/administracionroles'}">Administar roles</router-link>
                                        </a>
                                    </div>
                                </div>
                            </li>

                            
            </ul>
            <!-- End of Sidebar -->
            <!-- Content Wrapper -->
            <div class="d-flex flex-column" id="content-wrapper">
                <!-- Main Content -->
                <div id="content">
                    <!-- Topbar -->
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                        <!-- Sidebar Toggle (Topbar) -->
                        <button class="btn btn-link d-md-none rounded-circle mr-3" id="sidebarToggleTop">
                            <i class="fa fa-bars">
                            </i>
                        </button>

                        <ul class="navbar-nav ml-auto">

                            <div class="topbar-divider d-none d-sm-block">
                            </div>

                            <!-- Nav Item - User Information -->
                            <li class="nav-item dropdown no-arrow" v-for="(item, index) in user" :key="index" >
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >
                                    <span> {{ item.name }} </span>
                                    <span class="mr-2 d-none d-lg-inline text-gray-600 small"></span>
                                    <img class="img-profile rounded-circle" src="https://cdn.pixabay.com/photo/2015/10/05/22/37/blank-profile-picture-973460_960_720.png">
                                    </img>
                                </a> 

                                <div aria-labelledby="navbarDropdown" class="dropdown-menu dropdown-menu-right shadow animated--grow-in">
                                    <a class="dropdown-item" href="#">
                                        <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400">
                                        </i>
                                        Perfil
                                    </a>
                                    <a class="dropdown-item" href="#">
                                        <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400">
                                        </i>
                                        Configuraciones
                                    </a>
                                    <a class="dropdown-item" href="#">
                                        <i class="fas fa-list fa-sm fa-fw mr-2 text-gray-400">
                                        </i>
                                        Regitro de Actividades
                                    </a>
                                    <div class="dropdown-divider">
                                    </div>
                                    <a class="dropdown-item"
                                       v-on:click='logout();'>
                                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400">
                                        </i>
                                        Salir
                                    </a>
                                </div>
                            </li>
                        </ul>
                    </nav>
                    <!-- End of Topbar -->
                    <!-- Begin Page Content -->
                    <div class="container-fluid" v-for="(item, index) in user" :key="index" >
                        <!-- Page Heading -->
                        <h1 class="h3 mb-4 text-gray-800">
                            <transition name="slide-fade" mode="out-in">
                                <router-view> </router-view>
                            </transition>
                        </h1>
                    </div>
                    <!-- /.container-fluid -->
                </div>
                <!-- End of Main Content -->
                <!-- Footer -->
                <footer class="sticky-footer bg-white">
                    <div class="container my-auto">
                        <div class="copyright text-center my-auto">
                            <span>
                                Copyright © Geor Concesionarios {{ date }}
                            </span>
                        </div>
                    </div>
                </footer>
                <!-- End of Footer -->
            </div>
            <!-- End of Content Wrapper -->
        </div>
        <!-- End of Page Wrapper -->
        <!-- Scroll to Top Button-->
        <a class="scroll-to-top rounded" href="#page-top">
            <i class="fas fa-angle-up">
            </i>
        </a>
    </div>
</template>
<script>
    export default {
        created(){
            this.getUserAuth();
        },
        data(){
            return{
                permisoC:'',
                permisoAdmin:'',
                permisoA:'',
                user:[],
                date: '',
                permisos:[],
            }
        },
        methods:{
            getUserAuth(){
                this.date = new Date().getFullYear();
                var urlUserAuth='user';
                axios.get(urlUserAuth).then(response =>{
                    this.user =response.data;
                    console.log(this.user);
                    this.getPermisos();
                }) 
            },
            logout(){
                var urlLogout = 'logout';
                console.log(urlLogout);
                axios.get(urlLogout).then(response=>{
                    console.log(response);
                    window.location.href = '/';
                })
            },
            getPermisos(){
                var urlPermisos = 'permisos';
                axios.get(urlPermisos).then(response=>{
                    this.permisos = response.data;
                    for (var i = 0; i<this.permisos.length ; i++) {
                        if(this.permisos[i].name =='modulo.clientes'){
                            this.permisoC = this.permisos[i].name;
                        }
                        if(this.permisos[i].name =='modulo.auditoria'){
                           this.permisoA = this.permisos[i].name; 
                        }
                        if(this.permisos[i].name =='modulo.roles'){
                           this.permisoAdmin = this.permisos[i].name;
                        } 
                    }
                });
            }
        }
        
    }
</script>
